clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
92.3
93.7
95.1
96.5
97.9
99.3
100.7
102.1
103.5
104.9
106.3
107.7
109.1
110.5
111.9
113.3
114.7
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000539425	0.000558907	0.000580924	0.000605921	0.00063445	0.000667212	0.000705103	0.000749297	0.000801352	0.000863395	0.000938393	0.00103063	0.0011465	0.00129607	0.00149604	0.00177639	0.0021969;
0.000537392	0.000556866	0.00057887	0.000603847	0.00063235	0.000665075	0.000702921	0.000747056	0.000799037	0.000860986	0.000935865	0.00102795	0.00114363	0.00129294	0.00149255	0.00177241	0.00219219;
0.000535442	0.000554909	0.000576901	0.00060186	0.000630337	0.000663029	0.000700831	0.000744911	0.000796822	0.000858682	0.000933448	0.00102538	0.00114088	0.00128994	0.00148922	0.00176862	0.0021877;
0.000533572	0.000553032	0.000575012	0.000599954	0.000628408	0.000661069	0.00069883	0.000742858	0.000794703	0.000856478	0.000931136	0.00102294	0.00113825	0.00128708	0.00148605	0.00176499	0.00218342;
0.000531778	0.000551232	0.000573202	0.000598129	0.00062656	0.000659192	0.000696915	0.000740893	0.000792675	0.00085437	0.000928926	0.0010206	0.00113574	0.00128435	0.00148301	0.00176153	0.00217933;
0.000530056	0.000549506	0.000571467	0.000596379	0.00062479	0.000657395	0.000695081	0.000739012	0.000790735	0.000852354	0.000926815	0.00101836	0.00113335	0.00128174	0.00148012	0.00175824	0.00217544;
0.000528405	0.00054785	0.000569803	0.000594702	0.000623094	0.000655673	0.000693326	0.000737213	0.000788879	0.000850427	0.000924795	0.00101622	0.00113106	0.00127925	0.00147736	0.00175509	0.00217173;
0.00052682	0.000546262	0.000568208	0.000593095	0.00062147	0.000654025	0.000691646	0.000735492	0.000787106	0.000848585	0.000922867	0.00101418	0.00112887	0.00127688	0.00147472	0.0017521	0.00216819;
0.0005253	0.000544739	0.000566678	0.000591555	0.000619914	0.000652446	0.000690038	0.000733845	0.000785409	0.000846825	0.000921026	0.00101224	0.00112679	0.00127461	0.00147221	0.00174924	0.00216483;
0.000523842	0.000543279	0.000565213	0.000590079	0.000618424	0.000650936	0.000688499	0.000732271	0.000783787	0.000845143	0.000919267	0.00101038	0.0011248	0.00127245	0.00146982	0.00174652	0.00216162;
0.000522443	0.000541879	0.000563808	0.000588665	0.000616997	0.00064949	0.000687028	0.000730765	0.000782237	0.000843537	0.000917587	0.00100861	0.00112291	0.00127039	0.00146754	0.00174394	0.00215858;
0.000521101	0.000540536	0.000562461	0.000587312	0.000615631	0.000648106	0.000685621	0.000729326	0.000780758	0.000842004	0.000915986	0.00100692	0.0011211	0.00126843	0.00146538	0.00174148	0.00215569;
0.000519814	0.000539249	0.000561172	0.000586015	0.000614324	0.000646783	0.000684275	0.000727951	0.000779344	0.00084054	0.000914458	0.0010053	0.00111938	0.00126657	0.00146331	0.00173914	0.00215294;
0.00051858	0.000538016	0.000559936	0.000584774	0.000613073	0.000645518	0.00068299	0.000726638	0.000777994	0.000839144	0.000913002	0.00100377	0.00111774	0.0012648	0.00146136	0.00173692	0.00215033;
0.000517396	0.000536834	0.000558753	0.000583586	0.000611876	0.000644308	0.000681761	0.000725385	0.000776708	0.000837814	0.000911614	0.00100231	0.00111618	0.00126311	0.0014595	0.00173481	0.00214786;
0.000516262	0.000535702	0.000557619	0.000582449	0.000610732	0.000643152	0.000680588	0.000724188	0.000775481	0.000836546	0.000910293	0.00100092	0.0011147	0.00126151	0.00145773	0.00173282	0.00214552;
0.000515175	0.000534617	0.000556535	0.000581362	0.000609638	0.000642047	0.000679468	0.000723047	0.000774311	0.000835339	0.000909037	0.000999596	0.0011133	0.00125999	0.00145606	0.00173093	0.00214331];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','s',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0003 0.0021969])
ylim([92.3E9 114.7E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([92.3E9 96.0E9 100.0E9 105.0E9 110.0E9 114.7E9])
zticks([0.000515175 0.00075 0.0010 0.00125 0.0015 0.00175 0.002 0.0021969])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-36Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_36AlDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Highload_36AlDoped_strainenergy_LLZO_48e_fAl.png